Skip to content

Download Files ​

Endpoint ​

http
POST /unified/knowledge-base/files/download
Integrations supported
  • Confluence
  • Help Scout Docs
  • Notion
  • Readme
  • Slab
  • Zendesk - Help Center

Query parameters ​

Refer Specifying query parameters in Truto APIs

integrated_account_id
string · uuid
REQUIRED · 

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_format
string

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

All possible enum values:
  • unified
  • raw
  • normalized
  • stream
Example: unified
truto_ignore_remote_data
boolean

Excludes the remote_data attribute from the response.

truto_exclude_fields
array

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_query
object

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar
file_url
string

The URL to download the file

Required in
  • Confluence
  • Help Scout Docs
  • Notion
  • Readme
  • Slab
  • Zendesk - Help Center

Request Body ​

Refer Writing data using Unified APIs

remote_data
object

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body ​

id
string

The unique identifier for the file

file_name
string

The file's name.

page_id
string

The page id to which the file belongs

References: Pages → id
size
number

The file size in bytes

file_url
string

The URL to download the file

content_type
string

The content type of the file

uploaded_by
string

The user who uploaded the file

References: Users → id
created_at
string · date-time

The time when the file was created

updated_at
string · date-time

The time when the file was updated

remote_data
object

Raw data returned from the remote API call.